Package io.dapr.v1

# Class DaprAppCallbackProtos.TopicEventRequest

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.DaprAppCallbackProtos.TopicEventRequest

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicEventRequestOrBuilder`, `Serializable`

Enclosing class:
  DaprAppCallbackProtos

public static final class DaprAppCallbackProtos.TopicEventRequest extends com.google.protobuf.GeneratedMessageV3 implements DaprAppCallbackProtos.TopicEventRequestOrBuilder

     TopicEventRequest message is compatible with CloudEvent spec v1.0
     https://github.com/cloudevents/spec/blob/v1.0/spec.md

Protobuf type `dapr.proto.runtime.v1.TopicEventRequest`

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `DaprAppCallbackProtos.TopicEventRequest.Builder`
  TopicEventRequest message is compatible with CloudEvent spec v1.0 https://github.com/cloudevents/spec/blob/v1.0/spec.md

  ## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

  `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

  ## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

  `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DATA_CONTENT_TYPE_FIELD_NUMBER`
  `static final int`
  `DATA_FIELD_NUMBER`
  `static final int`
  `EXTENSIONS_FIELD_NUMBER`
  `static final int`
  `ID_FIELD_NUMBER`
  `static final int`
  `PATH_FIELD_NUMBER`
  `static final int`
  `PUBSUB_NAME_FIELD_NUMBER`
  `static final int`
  `SOURCE_FIELD_NUMBER`
  `static final int`
  `SPEC_VERSION_FIELD_NUMBER`
  `static final int`
  `TOPIC_FIELD_NUMBER`
  `static final int`
  `TYPE_FIELD_NUMBER`

  ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

  `alwaysUseFieldBuilders, unknownFields`

  ### Fields inherited from class com.google.protobuf.AbstractMessage

  `memoizedSize`

  ### Fields inherited from class com.google.protobuf.AbstractMessageLite

  `memoizedHashCode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `com.google.protobuf.ByteString`
  `getData()`
  The content of the event.
  `String`
  `getDataContentType()`
  The content type of data value.
  `com.google.protobuf.ByteString`
  `getDataContentTypeBytes()`
  The content type of data value.
  `static DaprAppCallbackProtos.TopicEventRequest`
  `getDefaultInstance()`
  `DaprAppCallbackProtos.TopicEventRequest`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Struct`
  `getExtensions()`
  The map of additional custom properties to be sent to the app.
  `com.google.protobuf.StructOrBuilder`
  `getExtensionsOrBuilder()`
  The map of additional custom properties to be sent to the app.
  `String`
  `getId()`
  id identifies the event.
  `com.google.protobuf.ByteString`
  `getIdBytes()`
  id identifies the event.
  `com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventRequest>`
  `getParserForType()`
  `String`
  `getPath()`
  The matching path from TopicSubscription/routes (if specified) for this event.
  `com.google.protobuf.ByteString`
  `getPathBytes()`
  The matching path from TopicSubscription/routes (if specified) for this event.
  `String`
  `getPubsubName()`
  The name of the pubsub the publisher sent to.
  `com.google.protobuf.ByteString`
  `getPubsubNameBytes()`
  The name of the pubsub the publisher sent to.
  `int`
  `getSerializedSize()`
  `String`
  `getSource()`
  source identifies the context in which an event happened.
  `com.google.protobuf.ByteString`
  `getSourceBytes()`
  source identifies the context in which an event happened.
  `String`
  `getSpecVersion()`
  The version of the CloudEvents specification.
  `com.google.protobuf.ByteString`
  `getSpecVersionBytes()`
  The version of the CloudEvents specification.
  `String`
  `getTopic()`
  The pubsub topic which publisher sent to.
  `com.google.protobuf.ByteString`
  `getTopicBytes()`
  The pubsub topic which publisher sent to.
  `String`
  `getType()`
  The type of event related to the originating occurrence.
  `com.google.protobuf.ByteString`
  `getTypeBytes()`
  The type of event related to the originating occurrence.
  `boolean`
  `hasExtensions()`
  The map of additional custom properties to be sent to the app.
  `int`
  `hashCode()`
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `static DaprAppCallbackProtos.TopicEventRequest.Builder`
  `newBuilder()`
  `static DaprAppCallbackProtos.TopicEventRequest.Builder`
  `newBuilder(DaprAppCallbackProtos.TopicEventRequest prototype)`
  `DaprAppCallbackProtos.TopicEventRequest.Builder`
  `newBuilderForType()`
  `protected DaprAppCallbackProtos.TopicEventRequest.Builder`
  `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
  `protected Object`
  `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseDelimitedFrom(InputStream input)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseFrom(byte[] data)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseFrom(com.google.protobuf.ByteString data)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseFrom(com.google.protobuf.CodedInputStream input)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseFrom(InputStream input)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseFrom(ByteBuffer data)`
  `static DaprAppCallbackProtos.TopicEventRequest`
  `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventRequest>`
  `parser()`
  `DaprAppCallbackProtos.TopicEventRequest.Builder`
  `toBuilder()`
  `void`
  `writeTo(com.google.protobuf.CodedOutputStream output)`

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

  `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

  ### Methods inherited from class com.google.protobuf.AbstractMessage

  `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite

  `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite

  `toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Field Details

  - ### ID_FIELD_NUMBER

    public static final int ID_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### SOURCE_FIELD_NUMBER

    public static final int SOURCE_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### TYPE_FIELD_NUMBER

    public static final int TYPE_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### SPEC_VERSION_FIELD_NUMBER

    public static final int SPEC_VERSION_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### DATA_CONTENT_TYPE_FIELD_NUMBER

    public static final int DATA_CONTENT_TYPE_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### DATA_FIELD_NUMBER

    public static final int DATA_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### TOPIC_FIELD_NUMBER

    public static final int TOPIC_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### PUBSUB_NAME_FIELD_NUMBER

    public static final int PUBSUB_NAME_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### PATH_FIELD_NUMBER

    public static final int PATH_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### EXTENSIONS_FIELD_NUMBER

    public static final int EXTENSIONS_FIELD_NUMBER
    See Also:
      - Constant Field Values

- ## Method Details

  - ### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)
    Overrides:
      `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getId

    public String getId()

         id identifies the event. Producers MUST ensure that source + id
         is unique for each distinct event. If a duplicate event is re-sent
         (e.g. due to a network error) it MAY have the same id.

    `string id = 1;`
    Specified by:
      `getId` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The id.

  - ### getIdBytes

    public com.google.protobuf.ByteString getIdBytes()

         id identifies the event. Producers MUST ensure that source + id
         is unique for each distinct event. If a duplicate event is re-sent
         (e.g. due to a network error) it MAY have the same id.

    `string id = 1;`
    Specified by:
      `getIdBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The bytes for id.

  - ### getSource

    public String getSource()

         source identifies the context in which an event happened.
         Often this will include information such as the type of the
         event source, the organization publishing the event or the process
         that produced the event. The exact syntax and semantics behind
         the data encoded in the URI is defined by the event producer.

    `string source = 2;`
    Specified by:
      `getSource` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The source.

  - ### getSourceBytes

    public com.google.protobuf.ByteString getSourceBytes()

         source identifies the context in which an event happened.
         Often this will include information such as the type of the
         event source, the organization publishing the event or the process
         that produced the event. The exact syntax and semantics behind
         the data encoded in the URI is defined by the event producer.

    `string source = 2;`
    Specified by:
      `getSourceBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The bytes for source.

  - ### getType

    public String getType()

         The type of event related to the originating occurrence.

    `string type = 3;`
    Specified by:
      `getType` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The type.

  - ### getTypeBytes

    public com.google.protobuf.ByteString getTypeBytes()

         The type of event related to the originating occurrence.

    `string type = 3;`
    Specified by:
      `getTypeBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The bytes for type.

  - ### getSpecVersion

    public String getSpecVersion()

         The version of the CloudEvents specification.

    `string spec_version = 4;`
    Specified by:
      `getSpecVersion` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The specVersion.

  - ### getSpecVersionBytes

    public com.google.protobuf.ByteString getSpecVersionBytes()

         The version of the CloudEvents specification.

    `string spec_version = 4;`
    Specified by:
      `getSpecVersionBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The bytes for specVersion.

  - ### getDataContentType

    public String getDataContentType()

         The content type of data value.

    `string data_content_type = 5;`
    Specified by:
      `getDataContentType` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The dataContentType.

  - ### getDataContentTypeBytes

    public com.google.protobuf.ByteString getDataContentTypeBytes()

         The content type of data value.

    `string data_content_type = 5;`
    Specified by:
      `getDataContentTypeBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The bytes for dataContentType.

  - ### getData

    public com.google.protobuf.ByteString getData()

         The content of the event.

    `bytes data = 7;`
    Specified by:
      `getData` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The data.

  - ### getTopic

    public String getTopic()

         The pubsub topic which publisher sent to.

    `string topic = 6;`
    Specified by:
      `getTopic` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The topic.

  - ### getTopicBytes

    public com.google.protobuf.ByteString getTopicBytes()

         The pubsub topic which publisher sent to.

    `string topic = 6;`
    Specified by:
      `getTopicBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The bytes for topic.

  - ### getPubsubName

    public String getPubsubName()

         The name of the pubsub the publisher sent to.

    `string pubsub_name = 8;`
    Specified by:
      `getPubsubName` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The pubsubName.

  - ### getPubsubNameBytes

    public com.google.protobuf.ByteString getPubsubNameBytes()

         The name of the pubsub the publisher sent to.

    `string pubsub_name = 8;`
    Specified by:
      `getPubsubNameBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The bytes for pubsubName.

  - ### getPath

    public String getPath()

         The matching path from TopicSubscription/routes (if specified) for this event.
         This value is used by OnTopicEvent to "switch" inside the handler.

    `string path = 9;`
    Specified by:
      `getPath` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The path.

  - ### getPathBytes

    public com.google.protobuf.ByteString getPathBytes()

         The matching path from TopicSubscription/routes (if specified) for this event.
         This value is used by OnTopicEvent to "switch" inside the handler.

    `string path = 9;`
    Specified by:
      `getPathBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The bytes for path.

  - ### hasExtensions

    public boolean hasExtensions()

         The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

    `.google.protobuf.Struct extensions = 10;`
    Specified by:
      `hasExtensions` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      Whether the extensions field is set.

  - ### getExtensions

    public com.google.protobuf.Struct getExtensions()

         The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

    `.google.protobuf.Struct extensions = 10;`
    Specified by:
      `getExtensions` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
    Returns:
      The extensions.

  - ### getExtensionsOrBuilder

    public com.google.protobuf.StructOrBuilder getExtensionsOrBuilder()

         The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

    `.google.protobuf.Struct extensions = 10;`
    Specified by:
      `getExtensionsOrBuilder` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

  - ### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException
    Specified by:
      `writeTo` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
    Throws:
      `IOException`

  - ### getSerializedSize

    public int getSerializedSize()
    Specified by:
      `getSerializedSize` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `com.google.protobuf.Message`
    Overrides:
      `equals` in class `com.google.protobuf.AbstractMessage`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `com.google.protobuf.Message`
    Overrides:
      `hashCode` in class `com.google.protobuf.AbstractMessage`

  - ### parseFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseDelimitedFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseFrom(com.google.protobuf.CodedInputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static DaprAppCallbackProtos.TopicEventRequest parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### newBuilderForType

    public DaprAppCallbackProtos.TopicEventRequest.Builder newBuilderForType()
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.Message`
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.MessageLite`

  - ### newBuilder

    public static DaprAppCallbackProtos.TopicEventRequest.Builder newBuilder()

  - ### newBuilder

    public static DaprAppCallbackProtos.TopicEventRequest.Builder newBuilder(DaprAppCallbackProtos.TopicEventRequest prototype)

  - ### toBuilder

    public DaprAppCallbackProtos.TopicEventRequest.Builder toBuilder()
    Specified by:
      `toBuilder` in interface `com.google.protobuf.Message`
    Specified by:
      `toBuilder` in interface `com.google.protobuf.MessageLite`

  - ### newBuilderForType

    protected DaprAppCallbackProtos.TopicEventRequest.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)
    Specified by:
      `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstance

    public static DaprAppCallbackProtos.TopicEventRequest getDefaultInstance()

  - ### parser

    public static com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventRequest> parser()

  - ### getParserForType

    public com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventRequest> getParserForType()
    Specified by:
      `getParserForType` in interface `com.google.protobuf.Message`
    Specified by:
      `getParserForType` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstanceForType

    public DaprAppCallbackProtos.TopicEventRequest getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`